<mat-toolbar>
  <mat-toolbar-row>
    <mat-icon>grade</mat-icon>
    Hackathon Organizer
  </mat-toolbar-row>
</mat-toolbar>
<mat-divider></mat-divider>


<mat-expansion-panel *ngIf="!authenticationService.isAuthenticated()">
  <mat-expansion-panel-header (click)="authenticationService.login()">
    <mat-icon>login</mat-icon> &nbsp;&nbsp;&nbsp;
    Login
  </mat-expansion-panel-header>
</mat-expansion-panel>

<mat-expansion-panel *ngIf="authenticationService.isAuthenticated()">
  <mat-expansion-panel-header>
    {{ authenticationService.getUsername() }}
  </mat-expansion-panel-header>

  <mat-nav-list>
    <mat-list-item routerLink="/profile">
      <mat-icon>person</mat-icon>
      Profile
    </mat-list-item>
    <mat-list-item (click)="authenticationService.logout()">
      <mat-icon>logout</mat-icon>
      Logout
    </mat-list-item>
  </mat-nav-list>


</mat-expansion-panel>

<mat-nav-list>
  <mat-list-item routerLink="/home">
    <mat-icon>home</mat-icon>
    Home
  </mat-list-item>
  <mat-list-item routerLink="/hackathons">
    <mat-icon>apps</mat-icon>
    Hackathons
  </mat-list-item>
  <!--      <a mat-list-item href="#">Link 3</a>-->
</mat-nav-list>
